
CoCoALib - Bug #6

Sort out RingElem, RefRingElem, ConstRefRingElem mess

19 Oct 2011 12:45 - John Abbott

Status: New Start date: 19 Oct 2011

Priority: High Due date:  

Assignee: John Abbott % Done: 0%

Category:  Estimated time: 20.00 hours

Target version: CoCoALib-1.0 Spent time: 54.00 hours

Description

Study in detail the current approach to handling _RingElem_s.

Write a report discussing the pros and cons, then decide what to do.

History

#1 - 26 Jan 2012 14:32 - John Abbott

The first version of the report is almost finished.

Conducted some timing tests, needed for a subsection in the report.

#2 - 26 Jan 2012 14:35 - John Abbott

Modified CoCoALib source code using ideas derived from discussions with Christof.

The modifications unearthed an INSURMOUNTABLE PROBLEM.

JAA decided to write a detailed report discussing the matter.

#3 - 03 Feb 2012 15:10 - John Abbott

JAA has undone the changes he made while trying & failing to improve the current impl of RingElem and friends.  Luckily CVS did most of the work.

#4 - 01 Aug 2014 08:59 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0

Powered by TCPDF (www.tcpdf.org)

24 Apr 2024 1/1

http://www.tcpdf.org

